Skip to content

@serenity-is/corelib / RequestErrorInfo

Interface: RequestErrorInfo

Defined in: src/base/servicetypes.ts:263

HTTP-level error details supplied to ServiceOptions.onError alongside the service error payload.

Properties

responseText?

optional responseText: string

Defined in: src/base/servicetypes.ts:269

Raw response body text when the response could not be parsed as JSON.


status?

optional status: number

Defined in: src/base/servicetypes.ts:265

HTTP status code (e.g. 403, 500).


statusText?

optional statusText: string

Defined in: src/base/servicetypes.ts:267

HTTP status text (e.g. "Forbidden").